/* This program is Copyright (c) 1990 David Allen.  It may be freely
   distributed as long as you leave my name and copyright notice on it.
   I'd really like your comments and feedback; send e-mail to
   davea@vlsi.ll.mit.edu, or send us-mail to David Allen, 10 O'Moore Ave,
   Maynard, MA 01754. */


/* This file substitutes for ami.c.  The function draw() is called by 
   onestep() once every DRAWEVERY steps, and it just calls tecst() in 
   tec1.c.  Most of the functions in this file are dummies; see ami.c for
   more details on what they were. */


#include "const.h"
#include "var.h"
#include <sys/types.h>
#include <sys/timeb.h>

extern short step;


main (argc, argv) int argc; char **argv; { struct timeb t;

   /* Initialize random number generator */
   ftime (&t); srandom ((int) ((t.time % 100000) + t.millitm));

   /* Run the program */
   init (*++argv);
   for (step=0; step<MAXSTEP; step++) onestep ();
   exit (0); }


rnd (top) short top; { return (random () % top); }


panic (s) char *s; { printf ("PANIC: %s\n", s); exit (1); }
   /* Used when some fatal inconsistency is found in the database;
   its function is to just exit the program. */


draw (src) short src; { tecst (src, DRAWMODE); }
